// Copyright 1998 by Jon Dart.  All Rights Reserved.
#ifndef _CONFIG_H
#define _CONFIG_H

// Enable tablebase support if defined
#define TABLEBASES

// search parameters and options
#define INITIAL_SEARCH_WINDOW PAWN_VALUE

// One "ply" of search extension:
static const int DEPTH_INCREMENT = 12;
#define QSEARCH_FORWARD_PRUNE_BIAS (PAWN_VALUE*3)/2
// variable null depth reduction (between R=2 and R=3):
#define ADAPTIVE_NULL
#define FUTILITY_PRUNE
#define FUTILITY_MARGIN (3*PAWN_VALUE)
#define RAZORING
#define RAZOR_DEPTH 2*DEPTH_INCREMENT
#define RAZOR_MARGIN (4*PAWN_VALUE)/3
#define RAZOR_EXTENSION -DEPTH_INCREMENT
#define CHECK_EXTENSION DEPTH_INCREMENT
#define FORCED_EXTENSION DEPTH_INCREMENT
#define RECAPTURE_EXTENSION (3*DEPTH_INCREMENT)/4
#define CAPTURE_EXTENSION (DEPTH_INCREMENT)/2
#define PAWN_PUSH_EXTENSION DEPTH_INCREMENT
#define THREAT_EXTENSION (3*DEPTH_INCREMENT)/4

// Scoring options
#define USE_LAZY_EVAL

#ifdef TABLEBASES
extern int EGTBMenCount;
#endif
#endif
