#ifndef _DRAW_H
#define _DRAW_H

#include "board.h"

    extern int repetition_draw( const Board &board );

    extern int material_draw( const Board &board );
       
    // checks for legal draws plus certain other theoretically
    // draw positions
    extern int is_draw(const Board &board);
        
    // Check only for those positions which are not legal draws
    // but are theoretically drawn
    extern int is_theoretical_draw(const Board &board);
        
    // Check only for legal draws
    extern int is_legal_draw(const Board &board);

#endif
