// Copyright 1994-1997 by Jon Dart. All Rights Reserved.

#include "stats.h"
#include "constant.h"

Statistics::Statistics()
{
   clear();
}

void Statistics::clear()
{
   state = NormalState;
   value = 0;
   elapsed_time = 0;
   *best_line_image = '\0';
   int i;
   for (i = 0; i < Constants::MaxPly; i++)
     best_line[i] = NullMove;
   num_moves = num_nodes = num_qnodes = depth = 0;
   end_of_game = 0;
   mvleft = mvtot = 0;
   tb_probes = tb_hits = move_order_count = 0;
   for (i = 0; i < 4; i++) move_order[i]=0;
   futility_pruning = num_null_cuts = num_razored = 0L;
   check_extensions = recap_extensions =  threat_extensions = 
      cap_extensions = pawn_extensions = forced_extensions = 0L;
}

